%define upstream_name    POE-Component-SmokeBox
%define upstream_version 0.54

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A backend for CPAN::Reporter::Smoker smokers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Env::Sanctify) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Object::Accessor)
BuildRequires: perl(POE) >= 1.367.0
BuildRequires: perl(Params::Check)
BuildRequires: perl(SDBM_File)
BuildRequires: perl(String::Perl::Warnings) >= 0.40.0
BuildRequires: perl(Test::Harness) >= 3.140.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
POE::Component::SmokeBox is a flexible CPAN Smoke testing framework which
provides an extensible method for testing CPAN distributions against
various different smoker backends.

A smoker backend is defined using a the POE::Component::SmokeBox::Smoker
manpage object and is basically the path to a 'perl' executable that is
configured for CPAN Testing and its associated environment settings.

The 'perl' executable must be configured appropriately to support CPAN
testing with any of the currently supported backends, the
CPANPLUS::YACSmoke manpage, the CPAN::YACSmoke manpage or the
CPAN::Reporter manpage. Additional backends may be supported by inheriting
and extending the backend base class the
POE::Component::SmokeBox::Backend::Base manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.540.0-3.mga9
+ Revision: 1830286
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.540.0-2.mga8
+ Revision: 1520597
- Mageia 8 Mass Rebuild

* Mon Dec 03 2018 tv <tv> 0.540.0-1.mga7
+ Revision: 1337819
- update to 0.54

* Thu Sep 20 2018 umeabot <umeabot> 0.520.0-2.mga7
+ Revision: 1285469
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 0.520.0-1.mga7
+ Revision: 1132377
- update to 0.52

* Sun Jun 19 2016 pterjan <pterjan> 0.480.0-7.mga6
+ Revision: 1032578
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.480.0-6.mga6
+ Revision: 945727
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.480.0-5.mga5
+ Revision: 748747
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.480.0-4.mga5
+ Revision: 685829
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.480.0-3.mga4
+ Revision: 513868
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.480.0-2.mga3
+ Revision: 371295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.480.0-1.mga2
+ Revision: 107233
- update to 0.48

* Thu Feb 17 2011 dmorgan <dmorgan> 0.440.0-1.mga1
+ Revision: 52984
- New version

* Mon Jan 24 2011 jquelin <jquelin> 0.380.0-1.mga1
+ Revision: 36470
- mageia rebuild
- imported package perl-POE-Component-SmokeBox


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.380.0-1mdv2011.0
+ Revision: 625027
- import perl-POE-Component-SmokeBox

